Summary: GUI for Dynamic Vision (DV) framework
Name:    dv-gui
Version: 1.6.2
Release: 0%{?dist}
License: Redistributable
URL:     https://gitlab.com/inivation/dv/dv-gui/
Vendor:  iniVation AG

ExclusiveArch: x86_64

Source0: http://release.inivation.com/gui/%{name}-linux-%{version}.tar.gz

Requires: dv-runtime, flashy, freetype, alsa-lib, libX11, libXext, libXrender, libXtst, libXi

%global __requires_exclude ^libjli\\.so.*$

%description
Java GUI for iniVation's Dynamic Vision (DV) C++ framework.

%prep
%setup

%install
mkdir -p %{buildroot}/%{_datarootdir}/pixmaps/
mv dv-gui.png %{buildroot}/%{_datarootdir}/pixmaps/
mkdir -p %{buildroot}/%{_datarootdir}/applications/
mv dv-gui.desktop %{buildroot}/%{_datarootdir}/applications/
mkdir -p %{buildroot}/%{_bindir}/
mv dv-gui %{buildroot}/%{_bindir}/
mkdir -p %{buildroot}/opt/dv-gui/
mv * %{buildroot}/opt/dv-gui/

%files
%{_bindir}/dv-gui
%{_datarootdir}/pixmaps/dv-gui.png
%{_datarootdir}/applications/dv-gui.desktop
/opt/dv-gui/

%changelog
* Mon Apr 20 2020 iniVation AG <support@inivation.com> - 1.6.2
- See ChangeLog file in source or GitLab.
